## gegl 0.4.26

=== meson_options.txt ===
option('docs',          type: 'boolean', value: 'false')
option('workshop',      type: 'boolean', value: 'false')
option('introspection', type: 'boolean', value: 'true')

option('exiv2',         type: 'feature', value: 'auto')
option('gdk-pixbuf',    type: 'feature', value: 'auto')
option('gexiv2',        type: 'feature', value: 'auto')
option('graphviz',      type: 'feature', value: 'auto')
option('jasper',        type: 'feature', value: 'auto')
option('lcms',          type: 'feature', value: 'auto')
option('lensfun',       type: 'feature', value: 'auto')
option('libav',         type: 'feature', value: 'auto')
option('libjpeg',       type: 'feature', value: 'auto')
option('libpng',        type: 'feature', value: 'auto')
option('libraw',        type: 'feature', value: 'auto')
option('librsvg',       type: 'feature', value: 'auto')
option('libspiro',      type: 'feature', value: 'auto')
option('libtiff',       type: 'feature', value: 'auto')
option('libv4l',        type: 'feature', value: 'auto')
option('libv4l2',       type: 'feature', value: 'auto')
option('lua',           type: 'feature', value: 'auto')
option('mrg',           type: 'feature', value: 'auto')
option('openexr',       type: 'feature', value: 'auto')
option('cairo',         type: 'feature', value: 'auto')
option('pango',         type: 'feature', value: 'auto')
option('pangocairo',    type: 'feature', value: 'auto')
option('poppler',       type: 'feature', value: 'auto')
option('pygobject',     type: 'feature', value: 'auto')
option('sdl1',          type: 'feature', value: 'disabled')
option('sdl2',          type: 'feature', value: 'auto')
option('umfpack',       type: 'feature', value: 'auto')
option('vapigen',       type: 'feature', value: 'auto')
option('webp',          type: 'feature', value: 'auto')

## gegl 0.0.22

=== debian/changelog ===
gegl (0.0.22-3) unstable; urgency=low

  * New maintainer (Closes: #499224)
  * debian/patches: #01 updated to be DEP-3 compliant
  * debian/: bump debhelper support to 8 and compliance
  * debian/control.in: typos corrected (Closes: #552310)
    Thanks to Martin Eberhard Schauer for this patch
  * debian/watch: config file added (Closes: #591044)
  * debian/control.in: dbg package added (Closes: #503655)
  * debian/control.in: homepage link added (Closes: #591042)
    Thanks to Artur Rona for these two last patches
  * Acknowledgement of NMU for 0.0.22-2.1 (Closes: #657886)
    Thanks to Julien Cristau (jcristau)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 06 Feb 2012 16:49:32 +0100

gegl (0.0.22-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjpeg-dev, not libjpeg62-dev (closes: #641693).
  * Disable mmx and sse (closes: #604556)

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 17:25:47 +0100

gegl (0.0.22-2) unstable; urgency=low

  * debian/patches/01_gegl_PATH_MAX.patch:
    - Use dynamic allocation rather than PATH_MAX for string buffers.
      Fixes FTBFS on Hurd.
  * debian/source/format:
    - Switch to source format 3.0 (quilt).
  * debian/control.in:
    - Standards-Version is 3.8.4, no changes needed.
    - Let libgegl-0.0-dev and libgegl-0.0-doc depend on ${misc:Depends}.
    - Fix a typo in gegl's description.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 02 May 2010 10:52:51 +0200

gegl (0.0.22-1) unstable; urgency=low

  * Put the package under team maintenance.
  * New upstream release. Closes: #516809.
  * Bump shlibs.
  * Update build-dependencies.
  * Wrap build-dependencies.
  * Don’t generate shlibs for plugins.
  * The -dev package is architecture: any.
  * Fix some dependencies.

 -- Josselin Mouette <joss@debian.org>  Fri, 30 Apr 2010 17:57:29 +0200

gegl (0.0.20-1) unstable; urgency=low

  * New upstream release
    - Fix gegl.h header file. (Closes: #491327)

 -- Rob Bradford <robster@debian.org>  Mon, 13 Oct 2008 10:25:23 +0100

gegl (0.0.18-1) unstable; urgency=low

  * New upstream release
    - Fix segfault (Closes: #483264)

 -- Ross Burton <ross@debian.org>  Mon, 16 Jun 2008 11:45:24 +0100

gegl (0.0.16-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #451247)
  * Initially based on packages by Étienne Bersac <bersace03@laposte.net>.

 -- Ross Burton <ross@debian.org>  Sat, 01 Mar 2008 15:06:56 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gegl
Section: libs
Priority: optional
Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Rob Bradford <robster@debian.org>, Ross Burton <ross@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               autotools-dev,
               pkg-config,
               gnome-pkg-tools,
               libbabl-0.0-0-dev (>= 0.0.22),
               libglib2.0-dev (>= 2.16.1),
               libgtk2.0-dev (>= 2.8.6),
               libcairo2-dev,
               libpango1.0-dev,
               libpng12-dev,
               librsvg2-dev (>= 2.14.0),
               libopenexr-dev,
               libopenraw-dev (>= 0.0.5),
               libgraphviz-dev,
               gtk-doc-tools (>= 1.0),
               libjpeg-dev,
               libspiro-dev
Standards-Version: 3.9.2
Homepage: http://www.gegl.org/

Package: gegl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic Graphics Library Test Program
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains a test program.

Package: libgegl-0.0-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic Graphics Library
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.

Package: libgegl-0.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgegl-0.0-0 (= ${binary:Version}),
         libbabl-0.0-0-dev (>= 0.0.22),
         libglib2.0-dev (>= 2.16.1)
Description: Generic Graphics Library (development files)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains the development files.

Package: libgegl-0.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Generic Graphics Library (documentation)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains the documentation.

Package: libgegl-0.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgegl-0.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Generic Graphics Library (debugging symbols)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

GNOME_DOWNLOAD_URL = ftp://ftp.gimp.org/pub/$(GNOME_MODULE)/$(DEB_UPSTREAM_VERSION_MAJOR_MINOR)/$(GNOME_TARBALL)
TARBALL_EXT := tar.bz2

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export LDFLAGS += -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libgegl-0.0-0 += \
        -V'libgegl-0.0-0 (>= 0.0.22)' \
        -Xusr/lib/gegl-0.0

DEB_CONFIGURE_EXTRA_FLAGS += \
	--disable-mmx \
	--disable-sse

binary-install/libgegl-0.0-doc::
	find debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/ -name Makefile\* -delete
	find debian/$(cdbs_curpkg)/usr/share/gtk-doc -type f -exec chmod -x {} \;

common-binary-predeb-arch:: list-missing

=== debian/watch ===
version=3
ftp://ftp.gimp.org/pub/gegl/0.0/gegl-(.+)\.tar\.bz2

## gegl 0.0.22-0maemo1

=== debian/changelog ===
gegl (0.0.22-0maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 01 May 2010 15:33:05 +0200

=== debian/control ===
Source: gegl
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), cdbs, autotools-dev, pkg-config, libbabl-0.0-0-dev (>= 0.0.22), libjpeg62-dev, libpng12-dev, libcairo2-dev, libgtk2.0-dev, libsdl1.2-dev, libopenexr-dev, librsvg2-dev, libspiro-dev, liblua5.1-0-dev, graphviz, asciidoc, enscript, ruby
Standards-Version: 3.8.0
Homepage: http://www.gegl.org/

Package: gegl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic Graphics Library Test Program
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies. and a simple well defined API
 .
 This package contains an test program.

Package: libgegl-0.0-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic Graphics Library
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies. and a simple well defined API

Package: libgegl-0.0-dev
Section: libdevel
Architecture: all
Depends: libgegl-0.0-0, libbabl-0.0-0-dev, ${misc:Depends}
Description: Generic Graphics Library (development files)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies. and a simple well defined API
 .
 This package contains the development files.

Package: libgegl-0.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Generic Graphics Library (documentation)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies. and a simple well defined API
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002,2003 Colin Walters <walters@debian.org>
# Copyright © 2009 Jonas Smedegaard <dr@jones.dk>
# Description: Uses Debhelper to implement the binary package building stage
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

####
# General variables implemented by this rule file:
#
# DEB_INSTALL_DIRS_ALL
#   Subdirectories to create in installation staging directory for every package
# DEB_INSTALL_DIRS_<package>
#   Like the above, but for a particular package <package>.
# DEB_INSTALL_DOCS_ALL
#   Files which should go in /usr/share/doc/<package> for every package
# DEB_INSTALL_DOCS_<package>
#   Files which should go in /usr/share/doc/<package> for package
# DEB_INSTALL_CHANGELOGS_ALL
#   File which should be interpreted as upstream changelog
# DEB_COMPRESS_EXCLUDE
#   Regular expressions matching files which should not be compressed.
# DEB_FIXPERMS_EXCLUDE
#   Regular expressions matching files which should not have their permissions changed.
# DEB_CLEAN_EXCLUDE
#   Regular expressions matching files which should not be cleaned.
# DEB_DH_ALWAYS_EXCLUDE
#   Force builddeb to exclude files.  See the DH_ALWAYS_EXCLUDE section
#   in debhelper(7) for more details.
# DEB_SHLIBDEPS_LIBRARY_package
#   The name of the current library package
# DEB_SHLIBDEPS_INCLUDE
#   A space-separated list of library paths to search for dependency info
# DEB_SHLIBDEPS_INCLUDE_package
#   Like the above, but for a particular package.
# DEB_PERL_INCLUDE
#   A space-separated list of paths to search for perl modules
# DEB_PERL_INCLUDE_package
#   Like the above, but for a particular package.
# DEB_UPDATE_RCD_PARAMS
#   Arguments to pass to update-rc.d in init scripts
####
# Special variables used by this rule file:
#
# DEB_DH_PREP
#   Command used to perform cleanups in preparation for building a binary package
# DEB_DH_GENCONTROL_ARGS_ALL
#   Arguments passed directly to dh_gencontrol, for all packages
# DEB_DH_GENCONTROL_ARGS_<package>
#   Arguments passed directly to dh_gencontrol, for a particular package <package>
# DEB_DH_GENCONTROL_ARGS
#   Completely override argument passing to dh_gencontrol.
# DEB_DH_MAKESHLIBS_ARGS_ALL
#   Arguments passed directly to dh_makeshlibs, for all packages
# DEB_DH_MAKESHLIBS_ARGS_<package>
#   Arguments passed directly to dh_makeshlibs, for a particular package <package>
# DEB_DH_MAKESHLIBS_ARGS
#   Completely override argument passing to dh_makeshlibs. 
# DEB_DH_SHLIBDEPS_ARGS_ALL
#   Arguments passed directly to dh_shlibdeps, for all packages
# DEB_DH_SHLIBDEPS_ARGS_<package>
#   Arguments passed directly to dh_shlibdeps, for a particular package <package>
# DEB_DH_SHLIBDEPS_ARGS
#   Completely override argument passing to dh_shlibdeps.
# DEB_DH_PERL_ARGS
#   Completely override argument passing to dh_perl.
####

_cdbs_scripts_path ?= /usr/lib/cdbs
_cdbs_rules_path ?= /usr/share/cdbs/1/rules
_cdbs_class_path ?= /usr/share/cdbs/1/class

ifndef _cdbs_rules_debhelper
_cdbs_rules_debhelper = 1

include $(_cdbs_rules_path)/buildcore.mk$(_cdbs_makefile_suffix)

DH_COMPAT ?= $(shell cat debian/compat 2>/dev/null)
ifeq (,$(DH_COMPAT))
DH_COMPAT = 5
endif

ifeq ($(DH_COMPAT),4)
CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), debhelper (>= 4.2.0)
endif
ifeq ($(DH_COMPAT),5)
CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), debhelper (>= 5)
endif
ifeq ($(DH_COMPAT),6)
CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), debhelper (>= 6)
endif
ifeq ($(DH_COMPAT),7)
CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), cdbs (>= 0.4.53)
CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), debhelper (>= 7.0.1)
endif

ifeq ($(DEB_VERBOSE_ALL), yes)
DH_VERBOSE = 1
endif

is_debug_package=$(if $(patsubst %-dbg,,$(cdbs_curpkg)),,yes)

DEB_DH_PREP = $(shell if [ "$(DH_COMPAT)" -gt 7 ]; then echo "dh_prep"; else echo "dh_clean -k"; fi)

DEB_INSTALL_DIRS_ALL =
DEB_INSTALL_CHANGELOGS_ALL =
DEB_INSTALL_DOCS_ALL = $(filter-out $(DEB_INSTALL_CHANGELOGS_ALL),$(shell for f in README NEWS TODO BUGS AUTHORS THANKS; do if test -s $(DEB_SRCDIR)/$$f; then echo $(DEB_SRCDIR)/$$f; fi; done))

cdbs_add_dashx = $(foreach i,$(1),$(patsubst %,-X %,$(i)))
cdbs_strip_quotes = $(subst ',,$(subst ",,$(1)))
# hello emacs '

DEB_DH_GENCONTROL_ARGS = $(DEB_DH_GENCONTROL_ARGS_ALL) $(DEB_DH_GENCONTROL_ARGS_$(cdbs_curpkg))
DEB_DH_MAKESHLIBS_ARGS = $(DEB_DH_MAKESHLIBS_ARGS_ALL) $(DEB_DH_MAKESHLIBS_ARGS_$(cdbs_curpkg))
DEB_DH_SHLIBDEPS_ARGS = $(if $(DEB_SHLIBDEPS_LIBRARY_$(cdbs_curpkg)),-L $(DEB_SHLIBDEPS_LIBRARY_$(cdbs_curpkg))) $(if $(DEB_SHLIBDEPS_INCLUDE_$(cdbs_curpkg))$(DEB_SHLIBDEPS_INCLUDE),-l $(shell echo $(DEB_SHLIBDEPS_INCLUDE_$(cdbs_curpkg)):$(DEB_SHLIBDEPS_INCLUDE) | perl -pe 's/ /:/g;')) $(DEB_DH_SHLIBDEPS_ARGS_ALL) $(DEB_DH_SHLIBDEPS_ARGS_$(cdbs_curpkg))

DEB_DH_BUILDDEB_ENV = $(if $(DEB_DH_ALWAYS_EXCLUDE),DH_ALWAYS_EXCLUDE=$(DEB_DH_ALWAYS_EXCLUDE),)
DEB_DH_PERL_ARGS = $(if $(DEB_PERL_INCLUDE_$(cdbs_curpkg))$(DEB_PERL_INCLUDE),$(shell echo $(DEB_PERL_INCLUDE_$(cdbs_curpkg)) $(DEB_PERL_INCLUDE)))

ifneq ($(words $(DEB_DBG_PACKAGES)),0)
ifeq ($(words $(DEB_DBG_PACKAGES)),1)
DEB_DBG_PACKAGE_ALL = $(if $(strip $(foreach x,$(DEB_PACKAGES),$(DEB_DBG_PACKAGE_$(x)))),,$(DEB_DBG_PACKAGES))
else
ifeq (yes,$(if $(findstring no,$(foreach x,$(DEB_DBG_PACKAGES),$(if $(filter $(x:-dbg=),$(DEB_PACKAGES)),yes,no))),no,yes))
define cdbs_deb_dbg_package_assign
DEB_DBG_PACKAGE_$(1:-dbg=) = $(1)
endef
$(foreach x,$(DEB_DBG_PACKAGES),$(eval $(call cdbs_deb_dbg_package_assign,$(value x))))
endif
endif
cdbs_dbg_package = $(or $(DEB_DBG_PACKAGE_$(cdbs_curpkg)),$(DEB_DBG_PACKAGE_ALL))
cdbs_dbg_package_option = $(if $(cdbs_dbg_package),$(shell if [ "$(DH_COMPAT)" -ge 5 ]; then echo "--dbg-package=$(strip $(cdbs_dbg_package))"; fi))
DEB_DH_STRIP_ARGS = $(cdbs_dbg_package_option)
endif

pre-build:: debian/compat

debian/compat:
	$(if $(DEB_DH_COMPAT_DISABLE),,echo $(DH_COMPAT) >$@)

clean::
	dh_clean $(call cdbs_add_dashx,$(DEB_CLEAN_EXCLUDE))

common-install-prehook-arch common-install-prehook-indep:: common-install-prehook-impl
common-install-prehook-impl::
	$(DEB_DH_PREP) $(call cdbs_add_dashx,$(DEB_CLEAN_EXCLUDE))
	dh_installdirs -A $(DEB_INSTALL_DIRS_ALL)

$(patsubst %,install/%,$(DEB_ALL_PACKAGES)) :: install/%:
	dh_installdirs -p$(cdbs_curpkg) $(DEB_INSTALL_DIRS_$(cdbs_curpkg))

# Create .debs or .udebs as we see fit
$(patsubst %,binary/%,$(DEB_ALL_PACKAGES)) :: binary/% : binary-makedeb/%

####
# General Debian package creation rules.
####

# This rule is called once for each package.  It does the work
# of installing to debian/<packagename>; this includes running
# dh_install to split the source from debian/tmp, as well as installing
# ChangeLogs and the like.
$(patsubst %,binary-install/%,$(DEB_ALL_PACKAGES)) :: binary-install/%:
	dh_installdocs -p$(cdbs_curpkg) $(DEB_INSTALL_DOCS_ALL) $(DEB_INSTALL_DOCS_$(cdbs_curpkg)) 
	dh_installexamples -p$(cdbs_curpkg) $(DEB_INSTALL_EXAMPLES_$(cdbs_curpkg))
	dh_installman -p$(cdbs_curpkg) $(DEB_INSTALL_MANPAGES_$(cdbs_curpkg)) 
	dh_installinfo -p$(cdbs_curpkg) $(DEB_INSTALL_INFO_$(cdbs_curpkg)) 
	dh_installmenu -p$(cdbs_curpkg) $(DEB_DH_INSTALL_MENU_ARGS)
	dh_installcron -p$(cdbs_curpkg) $(DEB_DH_INSTALL_CRON_ARGS)

## gegl 0.1.8

=== debian/changelog ===
gegl (0.1.8-3) unstable; urgency=low

  * debian/control: Breaks/Replaces for -dbg added (Closes: #664047)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 15 Mar 2012 08:54:16 +0100

gegl (0.1.8-2) unstable; urgency=low

  * Upload to unstable
  * debian/control: moved to libpng-dev in b-deps (Closes: #662345)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 14 Mar 2012 16:37:58 +0100

gegl (0.1.8-1) experimental; urgency=low

  * New "0.1.x series" release
    + debian/control: VCS links added
    + debian/copyright: cleaning old dh_make stuff
    + debian/patches/: #0001 created to fix few typos
    + debian/: doc-base config file added
  * debian/: removing GNOME Uploaders machinery
  * debian/control: fixing package version names
  * debian/libgegl-0.1-0.docs: file added
  * debian/control: Breaks/Replaces added to -dev
  * debian/control: added Provides to -dev package
  * debian/control: Uploaders field removed
  * debian/control: Standards-Version bumped to 3.9.3
  * debian/: Multi-Arch support added
  * debian/copyright: DEP-5 compliance

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 23 Feb 2012 15:22:12 +0100

=== debian/control ===
Source: gegl
Section: libs
Priority: optional
Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
Build-Depends: autotools-dev,
               cdbs (>= 0.4.93~),
               debhelper (>= 8.1.3),
               gnome-pkg-tools,
               gtk-doc-tools (>= 1.0),
               libbabl-dev (>= 0.1.6),
               libcairo2-dev,
               libglib2.0-dev (>= 2.16.1),
               libgraphviz-dev,
               libgtk2.0-dev (>= 2.8.6),
               libjpeg-dev,
               libopenexr-dev,
               libopenraw-dev (>= 0.0.5),
               libpango1.0-dev,
               libpng-dev,
               librsvg2-dev (>= 2.14.0),
               libspiro-dev,
               pkg-config
Standards-Version: 3.9.3
Homepage: http://gegl.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/gegl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gegl.git

Package: gegl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Generic Graphics Library Test Program
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains a test program.

Package: libgegl-0.1-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Generic Graphics Library
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.

Package: libgegl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbabl-dev (>= 0.1.6),
         libgegl-0.1-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.16.1),
         ${misc:Depends}
Breaks: libgegl-0.0-dev
Replaces: libgegl-0.0-dev
Provides: libgegl-0.0-dev
Description: Generic Graphics Library (development files)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains the development files.

Package: libgegl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libgegl-0.0-doc
Replaces: libgegl-0.0-doc
Description: Generic Graphics Library (documentation)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains the documentation.

Package: libgegl-0.1-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgegl-0.1-0 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libgegl-0.0-dbg
Replaces: libgegl-0.0-dbg
Description: Generic Graphics Library (debugging symbols)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGLs original design was made to scratch GIMPs itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

GNOME_DOWNLOAD_URL = ftp://ftp.gimp.org/pub/$(GNOME_MODULE)/$(DEB_UPSTREAM_VERSION_MAJOR_MINOR)/$(GNOME_TARBALL)
TARBALL_EXT := tar.bz2

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export LDFLAGS += -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libgegl-0.1-0 += \
	-V'libgegl-0.1-0 (>= 0.1.8)' \
	-X/usr/lib/$(DEB_HOST_MULTIARCH)/gegl-0.1

DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--disable-mmx \
	--disable-sse

binary-install/libgegl-0.1-doc::
	find debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/ -name Makefile\* -delete
	find debian/$(cdbs_curpkg)/usr/share/gtk-doc -type f -exec chmod -x {} \;

common-binary-predeb-arch:: list-missing

## gegl 0.2.0

=== debian/changelog ===
gegl (0.2.0-4ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop Build-Depends on libopenraw-dev (in universe).
    - Drop Build-Depends on libavcodec-dev (can't be shipped on the CDs).
    - Drop Build-Depends on libavformat-dev, otherwise libavcodec-dev is
      still pulled in.
  * Build using dh-autoreconf.
  * Fix build failure with ruby1.9.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Dec 2013 20:27:39 +0100

gegl (0.2.0-4) unstable; urgency=low

  * debian/patches/: patchset updated
    - debian/patches/cve-2012-4433.patch renamed
      to 0001-Fix_CVE-2012-4433.patch
    - 0002-Port_gegl_forward_to_libav54.patch added (Closes: #721533)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 09 Sep 2013 17:40:09 +0200

gegl (0.2.0-3ubuntu2) trusty; urgency=medium

  * Rebuild for suitesparse 4.2.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Dec 2013 14:14:19 +0000

gegl (0.2.0-3ubuntu1) saucy; urgency=low

  * Sync with Debiam unstable (LP: #1189536). Remaining changes:
    - debian/control:
      + Drop Build-Depends on libopenraw-dev (in universe).
      + Drop Build-Depends on libavcodec-dev (can't be shipped on the CDs).
      + Drop Build-Depends on libavformat-dev, otherwise libavcodec-dev is
        still pulled in.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Jun 2013 12:06:21 -0400

gegl (0.2.0-3) unstable; urgency=low

  * debian/control: bump of valac b-dep version (Closes: #709736)
  * debian/control: S-V 3.9.3 => 3.9.4 (no changes needed)
  * debian/: 8 => 9 debhelper bump
  * Acknowledgement of NMU for 0.2.0-2+nmu1
    Thanks to Michael Gilbert (mgilbert)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 05 Jun 2013 10:01:12 +0200

gegl (0.2.0-2+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix cve-2012-4433: multiple buffer overflow issues (closes: #692435).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 22 Nov 2012 08:04:44 +0000

gegl (0.2.0-2) unstable; urgency=low

  * debian/control: dbg package Breaks/Replaces added (Closes: #671917)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 10 May 2012 15:19:28 +0200

gegl (0.2.0-1) unstable; urgency=low

  [ Matteo F. Vescovi ]
  * New upstream release
    + debian/patches/: dropped since applied upstream
  * debian/copyright: debian/* license to LGPL-3+

  [ Jordi Mallach ]
  * Add additional build dependencies to enable extra modules

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sun, 06 May 2012 11:39:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,36 @@
 Source: gegl
 Section: libs
 Priority: optional
-Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends: autotools-dev,
                cdbs (>= 0.4.93~),
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
+               dh-autoreconf,
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.0),
-               libbabl-dev (>= 0.1.6),
+               intltool (>= 0.40.1),
+#               libavcodec-dev,
+#               libavformat-dev,
+               libbabl-dev (>= 0.1.10),
                libcairo2-dev,
-               libglib2.0-dev (>= 2.16.1),
-               libgraphviz-dev,
+               libexiv2-dev,
+               libgdk-pixbuf2.0-dev (>= 2.18.0),
+               libglib2.0-dev (>= 2.28.0),
                libgtk2.0-dev (>= 2.8.6),
+               libjasper-dev (>= 1.900.1),
                libjpeg-dev,
                libopenexr-dev,
-               libopenraw-dev (>= 0.0.5),
+#               libopenraw-dev (>= 0.0.5),
                libpango1.0-dev,
                libpng-dev,
                librsvg2-dev (>= 2.14.0),
+               libsdl1.2-dev,
                libspiro-dev,
-               pkg-config
-Standards-Version: 3.9.3
+               libsuitesparse-dev,
+               pkg-config,
+               valac (>= 0.20)
+Standards-Version: 3.9.4
 Homepage: http://gegl.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gegl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gegl.git
@@ -39,7 +49,7 @@
  .
  This package contains a test program.
 
-Package: libgegl-0.1-0
+Package: libgegl-0.2-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -57,8 +67,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libbabl-dev (>= 0.1.6),
-         libgegl-0.1-0 (= ${binary:Version}),
+Depends: libbabl-dev (>= 0.1.10),
+         libgegl-0.2-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          ${misc:Depends}
 Breaks: libgegl-0.0-dev
@@ -91,14 +101,14 @@
  .
  This package contains the documentation.
 
-Package: libgegl-0.1-0-dbg
+Package: libgegl-0.2-0-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libgegl-0.1-0 (= ${binary:Version}),
+Depends: libgegl-0.2-0 (= ${binary:Version}),
          ${misc:Depends}
-Breaks: libgegl-0.0-dbg
-Replaces: libgegl-0.0-dbg
+Breaks: libgegl-0.0-dbg, libgegl-0.1-0-dbg
+Replaces: libgegl-0.0-dbg, libgegl-0.1-0-dbg
 Description: Generic Graphics Library (debugging symbols)
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

=== debian/rules ===
#!/usr/bin/make -f

GNOME_DOWNLOAD_URL = ftp://ftp.gimp.org/pub/$(GNOME_MODULE)/$(DEB_UPSTREAM_VERSION_MAJOR_MINOR)/$(GNOME_TARBALL)
TARBALL_EXT := tar.bz2

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export LDFLAGS += -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libgegl-0.2-0 += \
	-V'libgegl-0.2-0 (>= 0.2.0)' \
	-X/usr/lib/$(DEB_HOST_MULTIARCH)/gegl-0.2

DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--disable-mmx \
	--disable-sse

binary-install/libgegl-doc::
	find debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/ -name Makefile\* -delete
	find debian/$(cdbs_curpkg)/usr/share/gtk-doc -type f -exec chmod -x {} \;

common-binary-predeb-arch:: list-missing

=== debian/watch ===
version=3
ftp://ftp.gtk.org/pub/gegl/([\d\.]+)/gegl-(.+)\.tar\.bz2

## gegl 0.2.1-1precise0~ppa

=== debian/changelog ===
gegl (0.2.1-1precise0~ppa) precise; urgency=high

  * Fix CVE-2012-4433

 -- Otto Meier <otto@kesselgulasch.org>  Sat, 01 Dec 2012 14:08:54 +0100

gegl (0.2.1-0.siduction.2) unstable; urgency=low

  * Needed for Gimp 2.9.x.

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 08 Jun 2012 00:05:54 +0200

gegl (0.2.1-0.siduction.1) unstable; urgency=low

  * New git snapshot.

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 04 Apr 2012 13:17:35 +0200

gegl (0.1.6-1) unstable; urgency=low

  * New git snapshot

 -- Torsten Wohlfarth <t.wohlfarth@gmx.de>  Fri, 15 Apr 2011 16:02:12 +0200

gegl (0.1.3-1) unstable; urgency=low

  * New git snapshot

 -- Torsten Wohlfarth <towo@sidux-ev.de>  Wed, 30 Jun 2010 15:28:48 +0200

gegl (0.1.2-1) unstable; urgency=low

  * New upstream snapshot

 -- Torsten Wohlfarth <towo@sidux-ev.de>  Wed, 24 Feb 2010 20:02:20 +0100

gegl (0.1.0-1) unstable; urgency=low

  * New upstream release

 -- Torsten Wohlfarth <towo@frickelplatz.de>  Mon, 17 Aug 2009 12:12:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: gegl
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
+Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends: autotools-dev,
-               cdbs (>= 0.4.93~),
-               debhelper (>= 9),
-               dh-autoreconf,
+               cdbs,
+               debhelper (>= 9.20120115),
+               libtool,
+               automake,
+               autoconf,
+               gcc-4.6,
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.0),
                intltool (>= 0.40.1),
-#               libavcodec-dev,
-#               libavformat-dev,
-               libbabl-dev (>= 0.1.10),
+               libavcodec-dev,
+               libavformat-dev,
+               libbabl-dev (>= 0.1.11),
                libcairo2-dev,
                libexiv2-dev,
                libgdk-pixbuf2.0-dev (>= 2.18.0),
@@ -21,7 +23,7 @@
                libjasper-dev (>= 1.900.1),
                libjpeg-dev,
                libopenexr-dev,
-#               libopenraw-dev (>= 0.0.5),
+               libopenraw-dev (>= 0.0.5),
                libpango1.0-dev,
                libpng-dev,
                librsvg2-dev (>= 2.14.0),
@@ -29,8 +31,9 @@
                libspiro-dev,
                libsuitesparse-dev,
                pkg-config,
-               valac (>= 0.20)
-Standards-Version: 3.9.4
+               valac-0.16,
+               enscript
+Standards-Version: 3.9.3
 Homepage: http://gegl.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gegl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gegl.git

=== debian/rules ===
#!/usr/bin/make -f

export CC=/usr/bin/gcc-4.6

%:
	dh $@

override_dh_auto_configure:
	$(CURDIR)/autogen.sh
	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --disable-mmx --disable-sse

override_dh_auto_test:
	dh_auto_test || true

## gegl 0.3.0

=== debian/changelog ===
gegl (0.3.0-4ubuntu2) wily; urgency=medium

  * No-change rebuild against libopenexr22.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 12:28:21 +0200

gegl (0.3.0-4ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. (LP: #1479156) Remaining changes:
    - debian/control:
      + Drop Build-Depends on libopenraw-dev (in universe).
      + Drop Build-Depends on libavcodec-dev
        (can't be shipped on the CDs).
      + Drop Build-Depends on libavformat-dev, otherwise
        libavcodec-dev is still pulled in.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 02 Aug 2015 05:49:09 +1000

gegl (0.3.0-4) experimental; urgency=medium

  * debian/: libs installation modified to fix circular dependency
  * debian/control:
    - Breaks/Replaces added to main library package
    - Breaks/Replaces updated for -dbg package
  * debian/libgegl-0.3-0.symbols: symbols files updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 29 Jul 2015 10:47:44 +0200

gegl (0.3.0-3) experimental; urgency=medium

  * debian/: manpages added
  * debian/control:
    - libjson-glib-dev added as regular dependency
    - Section fields updated
    - gegl package description updated

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 27 Jul 2015 14:22:54 +0200

gegl (0.3.0-2ubuntu3) wily; urgency=medium

  * debian/libgegl-0.3-0.install:
  * debian/libgegl-dev.install:
    - Move libgegl-sc-0.3.so and libgegl-npd-0.3.so from the -dev package to
      the main library (LP: #1477403)
  * debian/control:
    - Make libgegl-0.3-0 conflicts/breaks on libgegl-dev to allow files to be
      moved
  * debian/libgegl-0.3-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 24 Jul 2015 10:12:58 +1200

gegl (0.3.0-2ubuntu2) wily; urgency=medium

  * debian/control:
    - Add depends on libjson-glib-dev for libgegl-dev to match .pc file

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 23 Jul 2015 11:36:11 +1200

gegl (0.3.0-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. (LP: #1470282) Remaining changes:
    - debian/control:
      + Drop Build-Depends on libopenraw-dev (in universe).
      + Drop Build-Depends on libavcodec-dev
        (can't be shipped on the CDs).
      + Drop Build-Depends on libavformat-dev, otherwise
        libavcodec-dev is still pulled in.

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 22 Jul 2015 11:23:29 +0200

gegl (0.3.0-2) experimental; urgency=medium

  * debian/copyright: libs/poly2tri-c/* entry added (Closes: #790315)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 29 Jun 2015 10:55:27 +0200

gegl (0.3.0-1) experimental; urgency=medium

  * New upstream release (Closes: #740109, #749725)
    - debian/: massive SONAME bump 0.2.0 => 0.3.0
    - debian/control: babl deps bumped to 0.1.12
    - debian/control: libjson-glib-dev b-dep added
    - debian/libgegl-0.3-0.symbols: massive update
    - debian/libgegl-doc.doc-base: paths updated
    - debian/libgegl-doc.docs: obsolete path dropped
    - debian/patches/: entirely dropped since applied upstream
  * debian/: gcc-5 test settings dropped
  * debian/control: {shlibs:Depends} added for -dev package
  * debian/control: Multi-Arch set for -dbg package
  * debian/copyright: debian/ copyright updated

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 15 Jun 2015 22:20:56 +0200

gegl (0.2.0-8) experimental; urgency=medium

  * Test build using g++/gcc v5 (Closes: #777870)
    - debian/control: g++-5 b-dep added
    - debian/rules: variables set to use gcc/g++ v5
    - debian/libgegl-0.2-0.symbols: symbols updated
  * debian/copyright: entries updated
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
  * debian/control: Maintainer e-mail address updated

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 12 Feb 2015 14:35:35 +0100

gegl (0.2.0-7ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1422514) Remaining changes:
    - debian/control:
      + Drop Build-Depends on libopenraw-dev (in universe).
      + Drop Build-Depends on libavcodec-dev
        (can't be shipped on the CDs).
      + Drop Build-Depends on libavformat-dev, otherwise
        libavcodec-dev is still pulled in.
    - debian/patches/ruby1.9.diff:
      + Fix build failure with ruby1.9.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 16 Feb 2015 23:32:13 +0100

gegl (0.2.0-7) unstable; urgency=medium

  * debian/control: libblas-dev b-dep added (Closes: #760821)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Mon, 08 Sep 2014 10:36:25 +0200

gegl (0.2.0-6) unstable; urgency=medium

  * debian/watch: ftp:// => http://
  * debian/rules: parallel building enabled. (Closes: #759127)
    Thanks to Pino Toscano (pino) for the patch.

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Mon, 25 Aug 2014 15:12:36 +0200

gegl (0.2.0-5) unstable; urgency=medium

  * debian/: dh-autoreconf usage added (Closes: #747137)
    Thanks to Fernando Seiti Furusato for the patch.
  * debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)
  * debian/control: Maintainer e-mail address updated

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Tue, 06 May 2014 08:23:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: gegl
-Section: libs
+Section: devel
 Priority: optional
-Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
-Build-Depends: autotools-dev,
-               cdbs,
-               debhelper (>= 9.20120115),
-               libtool,
-               automake,
-               autoconf,
-               gcc-4.6,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matteo F. Vescovi <mfv@debian.org>
+Build-Depends: dh-autoreconf,
+               cdbs (>= 0.4.93~),
+               debhelper (>= 9),
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.0),
                intltool (>= 0.40.1),
-               libavcodec-dev,
-               libavformat-dev,
-               libbabl-dev (>= 0.1.11),
+#               libavcodec-dev,
+#               libavformat-dev,
+               libbabl-dev (>= 0.1.12),
+               libblas-dev,
                libcairo2-dev,
                libexiv2-dev,
                libgdk-pixbuf2.0-dev (>= 2.18.0),
@@ -22,8 +20,9 @@
                libgtk2.0-dev (>= 2.8.6),
                libjasper-dev (>= 1.900.1),
                libjpeg-dev,
+               libjson-glib-dev,
                libopenexr-dev,
-               libopenraw-dev (>= 0.0.5),
+#               libopenraw-dev (>= 0.0.5),
                libpango1.0-dev,
                libpng-dev,
                librsvg2-dev (>= 2.14.0),
@@ -31,9 +30,8 @@
                libspiro-dev,
                libsuitesparse-dev,
                pkg-config,
-               valac-0.16,
-               enscript
-Standards-Version: 3.9.3
+               valac (>= 0.20)
+Standards-Version: 3.9.6
 Homepage: http://gegl.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gegl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gegl.git
@@ -50,14 +48,17 @@
  compositing and processing core. This core is being designed to have
  minimal dependencies and a simple well defined API.
  .
- This package contains a test program.
+ This package contains a bunch of test programs.
 
-Package: libgegl-0.2-0
+Package: libgegl-0.3-0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libgegl-dev (<< 0.3.0-4)
+Replaces: libgegl-dev (<< 0.3.0-4)
 Description: Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -70,10 +71,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libbabl-dev (>= 0.1.10),
-         libgegl-0.2-0 (= ${binary:Version}),
+Depends: libbabl-dev (>= 0.1.12),
+         libgegl-0.3-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
-         ${misc:Depends}
+         libjson-glib-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libgegl-0.0-dev
 Replaces: libgegl-0.0-dev
 Provides: libgegl-0.0-dev
@@ -104,14 +107,15 @@
  .
  This package contains the documentation.
 
-Package: libgegl-0.2-0-dbg
+Package: libgegl-0.3-0-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libgegl-0.2-0 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libgegl-0.3-0 (= ${binary:Version}),
          ${misc:Depends}
-Breaks: libgegl-0.0-dbg, libgegl-0.1-0-dbg
-Replaces: libgegl-0.0-dbg, libgegl-0.1-0-dbg
+Breaks: libgegl-0.0-dbg, libgegl-0.1-0-dbg, libgegl-0.2-0-dbg
+Replaces: libgegl-0.0-dbg, libgegl-0.1-0-dbg, libgegl-0.2-0-dbg
 Description: Generic Graphics Library (debugging symbols)
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

## gegl 0.3.4

=== debian/changelog ===
gegl (0.3.4-1ubuntu2) xenial; urgency=medium

  * Enable raw support (LP: #1539845)
    - debian/control: Add Build-dep on libraw-dev, this is in main
      and already seeded, unlike libopenraw

 -- Tim Lunn <tim@feathertop.org>  Sat, 30 Jan 2016 16:55:16 +1100

gegl (0.3.4-1ubuntu1) xenial; urgency=medium

  * Resynchronize with Debian, Remaining changes:
    - debian/control:
      + Drop Build-Depends on libopenraw-dev (in universe).
      + Drop Build-Depends on libavcodec-dev
        (can't be shipped on the CDs).
      + Drop Build-Depends on libavformat-dev, otherwise
        libavcodec-dev is still pulled in.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Jan 2016 10:01:42 +0100

gegl (0.3.4-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 27 Nov 2015 21:51:20 +0100

gegl (0.3.2-1) unstable; urgency=medium

  * New upstream release
    - debian/control: babl deps bumped to 0.1.14
    - debian/libgegl-0.3-0.symbols: symbols updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 25 Nov 2015 08:28:46 +0100

gegl (0.3.0-5) unstable; urgency=medium

  * Upload to unstable (Closes: #793762)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 05 Oct 2015 17:23:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                intltool (>= 0.40.1),
 #               libavcodec-dev,
 #               libavformat-dev,
-               libbabl-dev (>= 0.1.12),
+               libbabl-dev (>= 0.1.14),
                libblas-dev,
                libcairo2-dev,
                libexiv2-dev,
@@ -25,6 +25,7 @@
 #               libopenraw-dev (>= 0.0.5),
                libpango1.0-dev,
                libpng-dev,
+               libraw-dev (>= 0.15.4),
                librsvg2-dev (>= 2.14.0),
                libsdl1.2-dev,
                libspiro-dev,
@@ -71,7 +72,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libbabl-dev (>= 0.1.12),
+Depends: libbabl-dev (>= 0.1.14),
          libgegl-0.3-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,

## gegl 0.3.6

=== debian/changelog ===
gegl (0.3.6-4ubuntu2) yakkety; urgency=medium

  * No-change rebuild against suitesparse 1:4.5.3-1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 24 May 2016 17:35:57 +0200

gegl (0.3.6-4ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Drop Build-Depends on libopenraw-dev (in universe).
      + Drop Build-Depends on libavcodec-dev
        (can't be shipped on the CDs).
      + Drop Build-Depends on libavformat-dev, otherwise
        libavcodec-dev is still pulled in.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 23 Apr 2016 15:56:20 +0200

gegl (0.3.6-4) unstable; urgency=medium

  * Revert "debian/control: libjasper-dev -> libopenjpeg-dev"
  * debian/patches/: patchset updated
    - 0002-Fix_Hurd_FTBFS.patch added (Closes: #821160)
      Thanks to Pino Toscano (pino) for the patch.
  * debian/control: S-V bump 3.9.7 -> 3.9.8 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 16 Apr 2016 14:19:44 +0200

gegl (0.3.6-3) unstable; urgency=medium

  * debian/control: libswscale-dev b-dep added.
    This development library is needed to fulfill
    real AVFormat support.

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 03 Apr 2016 22:30:49 +0200

gegl (0.3.6-2) unstable; urgency=medium

  * debian/control: libjasper-dev -> libopenjpeg-dev (Closes: #818200)
  * debian/control: libraw-dev b-dep added (Closes: #819863)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 03 Apr 2016 21:37:12 +0200

gegl (0.3.6-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated
      - 0001-Fix_format-security_error.patch added
    - debian/libgegl-0.3-0.symbols: symbols updated against 0.3.6
  * debian/control: S-V bump 3.9.6 -> 3.9.7 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 20 Mar 2016 09:16:44 +0100

=== debian/control ===
--- 
+++ 
@@ -25,17 +25,18 @@
 #               libopenraw-dev (>= 0.0.5),
                libpango1.0-dev,
                libpng-dev,
-               libraw-dev (>= 0.15.4),
+               libraw-dev,
                librsvg2-dev (>= 2.14.0),
                libsdl1.2-dev,
                libspiro-dev,
                libsuitesparse-dev,
+               libswscale-dev,
                pkg-config,
                valac (>= 0.20)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://gegl.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/gegl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gegl.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gegl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gegl.git
 
 Package: gegl
 Architecture: any
